> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# models.list（兼容）

> 列出本服务支持的 GPT Image 模型

与 `GET https://api.openai.com/v1/models` 对齐。返回当前图像服务支持的静态列表（`gpt-image-2`、`gpt-image-2.5-flare`、`gpt-image-2.5-sunburst`）。

```bash theme={null}
curl -X GET "https://api.mountsea.ai/openai/v1/models" \
  -H "Authorization: Bearer your-api-key"
```

```json theme={null}
{
  "object": "list",
  "data": [
    {
      "id": "gpt-image-2",
      "object": "model",
      "created": 1704067200,
      "owned_by": "openai"
    }
  ]
}
```

官方 SDK：`base_url` 设为 `https://api.mountsea.ai/openai/v1` 后调用 `client.models.list()`。


## OpenAPI

````yaml GET /openai/v1/models
openapi: 3.0.0
info:
  title: Openai AI
  description: API documentation for Openai AI
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: openai
    description: ''
  - name: openai-compat
    description: ''
paths:
  /openai/v1/models:
    get:
      tags:
        - openai-compat
      summary: OpenAI models.list 兼容
      description: 与 `GET https://api.openai.com/v1/models` 对齐；返回当前图片生成服务支持的静态模型列表。
      operationId: OpenaiModelsCompatController_listModels
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenaiModelsListDto'
      security:
        - bearerAuth: []
components:
  schemas:
    OpenaiModelsListDto:
      type: object
      properties:
        object:
          type: string
          example: list
        data:
          type: array
          items:
            $ref: '#/components/schemas/OpenaiModelItemDto'
      required:
        - object
        - data
    OpenaiModelItemDto:
      type: object
      properties:
        id:
          type: string
          example: gpt-image-2
        object:
          type: string
          example: model
        created:
          type: number
          description: 创建时间（unix 秒）
          example: 1704067200
        owned_by:
          type: string
          example: openai
      required:
        - id
        - object
        - created
        - owned_by
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````